# -*- encoding: utf-8 -*-
# stub: hashery 2.1.2 ruby lib

Gem::Specification.new do |s|
  s.name = "hashery".freeze
  s.version = "2.1.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Trans".freeze, "Kirk Haines".freeze, "Robert Klemme".freeze, "Jan Molic".freeze, "George Moschovitis".freeze, "Jeena Paradies".freeze, "Erik Veenstra".freeze]
  s.date = "2022-01-28"
  s.description = "The Hashery is a tight collection of Hash-like classes. Included among its many offerings are the auto-sorting Dictionary class, the efficient LRUHash, the flexible OpenHash and the convenient KeyHash. Nearly every class is a subclass of the CRUDHash which defines a CRUD model on top of Ruby's standard Hash making it a snap to subclass and augment to fit any specific use case.".freeze
  s.email = ["transfire@gmail.com".freeze]
  s.extra_rdoc_files = ["HISTORY.md".freeze, "LICENSE.txt".freeze, "NOTICE.txt".freeze, "README.md".freeze]
  s.files = [".index".freeze, ".yardopts".freeze, "HISTORY.md".freeze, "Index.yml".freeze, "LICENSE.txt".freeze, "NOTICE.txt".freeze, "README.md".freeze, "alt/hashery/castinghash.rb".freeze, "alt/hashery/fuzzyhash.rb".freeze, "alt/hashery/keyhash.rb".freeze, "alt/hashery/linkedlist.rb".freeze, "alt/hashery/lruhash.rb".freeze, "alt/hashery/opencascade.rb".freeze, "alt/hashery/openhash.rb".freeze, "alt/hashery/orderedhash.rb".freeze, "alt/hashery/propertyhash.rb".freeze, "alt/hashery/queryhash.rb".freeze, "alt/hashery/statichash.rb".freeze, "demo/00_introduction.rdoc".freeze, "demo/01_open_hash.rdoc".freeze, "demo/02_query_hash.rdoc".freeze, "demo/03_casting_hash.rdoc".freeze, "demo/04_static_hash.rdoc".freeze, "demo/05_key_hash.rdoc".freeze, "demo/06_open_cascade.rdoc".freeze, "demo/07_fuzzy_hash.rdoc".freeze, "demo/08_propery_hash.rdoc".freeze, "demo/10_association.rdoc".freeze, "demo/applique/ae.rb".freeze, "demo/applique/hashery.rb".freeze, "lib/hashery.rb".freeze, "lib/hashery.yml".freeze, "lib/hashery/association.rb".freeze, "lib/hashery/casting_hash.rb".freeze, "lib/hashery/core_ext.rb".freeze, "lib/hashery/crud_hash.rb".freeze, "lib/hashery/dictionary.rb".freeze, "lib/hashery/fuzzy_hash.rb".freeze, "lib/hashery/ini_hash.rb".freeze, "lib/hashery/key_hash.rb".freeze, "lib/hashery/linked_list.rb".freeze, "lib/hashery/lru_hash.rb".freeze, "lib/hashery/open_cascade.rb".freeze, "lib/hashery/open_hash.rb".freeze, "lib/hashery/ordered_hash.rb".freeze, "lib/hashery/path_hash.rb".freeze, "lib/hashery/property_hash.rb".freeze, "lib/hashery/query_hash.rb".freeze, "lib/hashery/stash.rb".freeze, "lib/hashery/static_hash.rb".freeze, "test/case_association.rb".freeze, "test/case_casting_hash.rb".freeze, "test/case_core_ext.rb".freeze, "test/case_crud_hash.rb".freeze, "test/case_dictionary.rb".freeze, "test/case_ini_hash.rb".freeze, "test/case_key_hash.rb".freeze, "test/case_linked_list.rb".freeze, "test/case_lru_hash.rb".freeze, "test/case_open_cascade.rb".freeze, "test/case_open_hash.rb".freeze, "test/case_property_hash.rb".freeze, "test/case_query_hash.rb".freeze, "test/fixture/example.ini".freeze, "test/helper.rb".freeze]
  s.homepage = "http://rubyworks.github.com/hashery".freeze
  s.licenses = ["BSD-2-Clause".freeze]
  s.rubygems_version = "2.7.6.2".freeze
  s.summary = "Facets-bread collection of Hash-like classes.".freeze
  s.test_files = ["test/case_association.rb".freeze, "test/case_casting_hash.rb".freeze, "test/case_core_ext.rb".freeze, "test/case_crud_hash.rb".freeze, "test/case_dictionary.rb".freeze, "test/case_ini_hash.rb".freeze, "test/case_key_hash.rb".freeze, "test/case_linked_list.rb".freeze, "test/case_lru_hash.rb".freeze, "test/case_open_cascade.rb".freeze, "test/case_open_hash.rb".freeze, "test/case_property_hash.rb".freeze, "test/case_query_hash.rb".freeze, "test/helper.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<lemon>.freeze, [">= 0"])
      s.add_development_dependency(%q<qed>.freeze, [">= 0"])
      s.add_development_dependency(%q<rubytest-cli>.freeze, [">= 0"])
    else
      s.add_dependency(%q<lemon>.freeze, [">= 0"])
      s.add_dependency(%q<qed>.freeze, [">= 0"])
      s.add_dependency(%q<rubytest-cli>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<lemon>.freeze, [">= 0"])
    s.add_dependency(%q<qed>.freeze, [">= 0"])
    s.add_dependency(%q<rubytest-cli>.freeze, [">= 0"])
  end
end
